MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030603Community[OCCT] OCCT:Modeling Datapublic2019-03-25 13:532019-07-08 14:09
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionno change required 
PlatformAOSLOS VersionL
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030603: Memory Leaks in Geom_BSplineCurve
DescriptionWhen compiling my program with "-fsanitize=address -fsanitize-recover=address -fsanitize=undefined", I get quite a lot of "Direct leak of ... byte(s) ..." messages regarding Geom_BSplineCurve.cxx when running.

The leaks stem from allocations in the lines 148, 152, 155, 204, 211, 214, 445, 1129 (line numbers refer to commit 9775fa611, the file has changed in the meantime). At a first look it seems as all of these warnings were justified.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026698assignedisn Open CASCADE Coding - Avoid usage of non-guarded pointers to dynamically allocated memory 
child of 0030557newkgv Open CASCADE Coding - eliminate errors reported by -fsanitize 

-  Notes
(0085206)
msv (developer)
2019-06-21 17:09

There is no enough info for debug memory leaks.

The pointed lines refer to allocation of bspline data that are destructed at curve destruction (all they are stored in handles).

It may be a leak if you create a curve and then it is stored in some other (static) variable.

In order to check if it is a real leak you needed to create quite large number of curves, then destroy them, and see how much memory application uses. Then repeat this action several times to see if the used memory increases.
(0085364)
BenjaminBihler (developer)
2019-07-01 11:00

You are completely right, the member fields are handles. I had missed that and therefore have been mislead by the warning messages. Sorry.

I propose to close the issue.
(0085368)
msv (developer)
2019-07-01 12:13

Please close.

- Issue History
Date Modified Username Field Change
2019-03-25 13:53 BenjaminBihler New Issue
2019-03-25 13:53 BenjaminBihler Assigned To => msv
2019-03-25 14:03 BenjaminBihler Relationship added related to 0026698
2019-03-25 14:09 kgv Relationship added child of 0030557
2019-06-21 17:09 msv Note Added: 0085206
2019-06-21 17:09 msv Assigned To msv => BenjaminBihler
2019-06-21 17:09 msv Status new => feedback
2019-07-01 11:00 BenjaminBihler Note Added: 0085364
2019-07-01 11:00 BenjaminBihler Assigned To BenjaminBihler => msv
2019-07-01 12:13 msv Assigned To msv => bugmaster
2019-07-01 12:13 msv Note Added: 0085368
2019-07-08 14:08 bugmaster Status feedback => closed
2019-07-08 14:08 bugmaster Resolution open => fixed
2019-07-08 14:09 bugmaster Resolution fixed => no change required


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker